<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qianhe.mapper.JygxLxwhMapper">

    <resultMap type="JygxLxwh" id="JygxLxwhResult">
        <result property="lxid"    column="lxid"    />
        <result property="lxmc"    column="lxmc"    />
        <result property="mkmc"    column="mkmc"    />
        <result property="yl1"    column="yl1"    />
        <result property="yl2"    column="yl2"    />
        <result property="yl3"    column="yl3"    />
        <result property="yl4"    column="yl4"    />
        <result property="yl5"    column="yl5"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectJygxLxwhVo">
        select lxid, lxmc, mkmc, yl1, yl2, yl3, yl4, yl5, create_by, create_time, update_by, update_time, remark, del_flag from jygx_lxwh
    </sql>

    <select id="selectJygxLxwhList" parameterType="JygxLxwh" resultMap="JygxLxwhResult">
        <include refid="selectJygxLxwhVo"/>
        <where>
            <if test="lxmc != null  and lxmc != ''"> and lxmc = #{lxmc}</if>
            <if test="mkmc != null  and mkmc != ''"> and mkmc = #{mkmc}</if>
            <if test="yl1 != null  and yl1 != ''"> and yl1 = #{yl1}</if>
            <if test="yl2 != null  and yl2 != ''"> and yl2 = #{yl2}</if>
            <if test="yl3 != null  and yl3 != ''"> and yl3 = #{yl3}</if>
            <if test="yl4 != null  and yl4 != ''"> and yl4 = #{yl4}</if>
            <if test="yl5 != null  and yl5 != ''"> and yl5 = #{yl5}</if>
        </where>
    </select>

    <select id="selectJygxLxwhByLxid" parameterType="Long" resultMap="JygxLxwhResult">
        <include refid="selectJygxLxwhVo"/>
        where lxid = #{lxid}
    </select>

    <insert id="insertJygxLxwh" parameterType="JygxLxwh" useGeneratedKeys="true" keyProperty="lxid">
        insert into jygx_lxwh
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="lxmc != null">lxmc,</if>
            <if test="mkmc != null">mkmc,</if>
            <if test="yl1 != null">yl1,</if>
            <if test="yl2 != null">yl2,</if>
            <if test="yl3 != null">yl3,</if>
            <if test="yl4 != null">yl4,</if>
            <if test="yl5 != null">yl5,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="delFlag != null">del_flag,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="lxmc != null">#{lxmc},</if>
            <if test="mkmc != null">#{mkmc},</if>
            <if test="yl1 != null">#{yl1},</if>
            <if test="yl2 != null">#{yl2},</if>
            <if test="yl3 != null">#{yl3},</if>
            <if test="yl4 != null">#{yl4},</if>
            <if test="yl5 != null">#{yl5},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="delFlag != null">#{delFlag},</if>
         </trim>
    </insert>

    <update id="updateJygxLxwh" parameterType="JygxLxwh">
        update jygx_lxwh
        <trim prefix="SET" suffixOverrides=",">
            <if test="lxmc != null">lxmc = #{lxmc},</if>
            <if test="mkmc != null">mkmc = #{mkmc},</if>
            <if test="yl1 != null">yl1 = #{yl1},</if>
            <if test="yl2 != null">yl2 = #{yl2},</if>
            <if test="yl3 != null">yl3 = #{yl3},</if>
            <if test="yl4 != null">yl4 = #{yl4},</if>
            <if test="yl5 != null">yl5 = #{yl5},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
        </trim>
        where lxid = #{lxid}
    </update>

    <delete id="deleteJygxLxwhByLxid" parameterType="Long">
        delete from jygx_lxwh where lxid = #{lxid}
    </delete>

    <delete id="deleteJygxLxwhByLxids" parameterType="String">
        delete from jygx_lxwh where lxid in
        <foreach item="lxid" collection="array" open="(" separator="," close=")">
            #{lxid}
        </foreach>
    </delete>


</mapper>
